Public Attributes | List of all members
ble_gap_evt_adv_report_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising report event for BLE_GAPM_EVT_ADV_REPORT. More...

`#include <ble_gapm.h>`

Collaboration diagram for ble_gap_evt_adv_report_t:
[legend]

## Public Attributes
ble_gap_adv_report_type_t | adv_type
| Advertising type. More...
ble_gap_adv_report_info_t | adv_info
| Bit field providing information about the received report. More...
ble_gap_bdaddr_t | broadcaster_addr
| Broadcaster device address. More...
ble_gap_bdaddr_t | direct_addr
| Target address (in case of a directed advertising report). More...
int8_t | tx_pwr
| TX power (in dBm). More...
int8_t | rssi
| RSSI (between -127 and +20 dBm). More...
uint8_t | phy_prim
| Primary PHY on which advertising report has been received. More...
uint8_t | phy_second
| Secondary PHY on which advertising report has been received. More...
uint8_t | adv_sid
| Advertising SID , valid only for periodic advertising report. More...
uint16_t | period_adv_intv
| Periodic advertising interval (in unit of 1.25ms, min is 7.5ms), valid only for periodic advertising report. More...
uint8_t | per_sync_idx
| Periodic syncronization index, valid only for periodic advertising report. More...
uint16_t | length
| Report length. More...
uint8_t * | data
| Report data. More...

## Detailed Description

Advertising report event for BLE_GAPM_EVT_ADV_REPORT.

Definition at line 889 of file ble_gapm.h.

## Member Data Documentation

## ◆ adv_info

ble_gap_adv_report_info_t ble_gap_evt_adv_report_t::adv_info

Bit field providing information about the received report.

ble_gap_adv_report_info_t.

Definition at line 892 of file ble_gapm.h.

## ◆ adv_sid

uint8_t ble_gap_evt_adv_report_t::adv_sid

Advertising SID , valid only for periodic advertising report.

Definition at line 899 of file ble_gapm.h.

## ◆ adv_type

ble_gap_adv_report_type_t ble_gap_evt_adv_report_t::adv_type

Advertising type.

ble_gap_adv_report_type_t.

Definition at line 891 of file ble_gapm.h.

## ◆ broadcaster_addr

ble_gap_bdaddr_t ble_gap_evt_adv_report_t::broadcaster_addr

Broadcaster device address.

Definition at line 893 of file ble_gapm.h.

## ◆ data

uint8_t* ble_gap_evt_adv_report_t::data

Report data.

Definition at line 903 of file ble_gapm.h.

## ◆ direct_addr

ble_gap_bdaddr_t ble_gap_evt_adv_report_t::direct_addr

Target address (in case of a directed advertising report).

Definition at line 894 of file ble_gapm.h.

## ◆ length

uint16_t ble_gap_evt_adv_report_t::length

Report length.

Definition at line 902 of file ble_gapm.h.

## ◆ per_sync_idx

uint8_t ble_gap_evt_adv_report_t::per_sync_idx

Periodic syncronization index, valid only for periodic advertising report.

Definition at line 901 of file ble_gapm.h.

## ◆ period_adv_intv

uint16_t ble_gap_evt_adv_report_t::period_adv_intv

Periodic advertising interval (in unit of 1.25ms, min is 7.5ms), valid only for periodic advertising report.

Definition at line 900 of file ble_gapm.h.

## ◆ phy_prim

uint8_t ble_gap_evt_adv_report_t::phy_prim

Primary PHY on which advertising report has been received.

Definition at line 897 of file ble_gapm.h.

## ◆ phy_second

uint8_t ble_gap_evt_adv_report_t::phy_second

Secondary PHY on which advertising report has been received.

Definition at line 898 of file ble_gapm.h.

## ◆ rssi

int8_t ble_gap_evt_adv_report_t::rssi

RSSI (between -127 and +20 dBm).

Definition at line 896 of file ble_gapm.h.

## ◆ tx_pwr

int8_t ble_gap_evt_adv_report_t::tx_pwr

TX power (in dBm).

Definition at line 895 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h